Update runner logging settings

  • PATCH /platform/infrastructure/runners/{runner_id}/logging_settings
Auth

All changes in the specified object are applied to the logging settings for this runner instance according to the JSON Merge Patch processing rules. Omitting existing fields causes the same values to be reapplied. Specifying a null value reverts the field to the default value, or removes the field when no default value exists.

Path parameters

runner_id string required

The identifier for the runner

Request body

The logging settings to update

Type: string

Responses

The updated logging settings for the runner instance

application/json
logging_levels map string to string required

Overridden logging levels. Keys are logging levels. Allowable values are OFF, ERROR, WARN, INFO, DEBUG, TRACE, ALL

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)